## q2-types 2021.8.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_types

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-types 2019.4.1

=== debian/changelog ===
q2-types (2019.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Fri, 14 Jun 2019 21:46:58 +0200

q2-types (2019.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 13 Jun 2019 22:21:11 +0200

q2-types (2019.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #925931)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 25 Mar 2019 19:56:36 +0100

=== debian/control ===
Source: q2-types
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-biom-format,
               python3-skbio,
               python3-ijson,
               python3-h5py,
               qiime
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/q2-types
Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
Homepage: https://qiime2.org/

Package: q2-types
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-setuptools,
         python3-skbio,
         python3-numpy,
         python3-pandas,
         python3-biom-format,
         python3-ijson,
         python3-h5py,
         libopenblas-base,
         qiime
Description: QIIME 2 plugin defining types for microbiome analysis
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8


# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-types.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_types"

override_dh_install:
	dh_install
	find debian -name ".coverage*" -delete

=== debian/watch ===
version=4

https://github.com/qiime2/q2-types/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-types 2020.11.1

=== debian/changelog ===
q2-types (2020.11.1-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream version
  * Trim trailing whitespace.
  * Bump dependency on qiime (>= 2020.11.1).

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 12 Dec 2020 11:01:16 +0100

q2-types (2020.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #950932)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Suppressed build time test in favor of autopkgtest, temporarily hopefully.
    This is due to the Qiime plugin mechanism not being fully available before
    installation, but needed to run the test suite.
  * Lintian override national-encoding on test data.
  * Updated dependency to qiime (>= 2020.11.0)
  * Cleaning egg-info files

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 01 Dec 2020 22:34:10 +0100

q2-types (2019.10.0-1) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Minor changes in autopkgtest
  * New upstream version
    Closes: #944043
  * Standards-Version: 4.4.1

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 23 Dec 2019 19:12:50 +0100

q2-types (2019.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 10:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: q2-types
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
@@ -12,11 +13,12 @@
                python3-skbio,
                python3-ijson,
                python3-h5py,
-               qiime
-Standards-Version: 4.3.0
+               qiime (>= 2020.11.1)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-types
 Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
 Homepage: https://qiime2.org/
+Rules-Requires-Root: no
 
 Package: q2-types
 Architecture: all
@@ -31,7 +33,7 @@
          python3-ijson,
          python3-h5py,
          libopenblas-base,
-         qiime
+         qiime (>= 2020.11.1)
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,19 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+# FIXME: similarly to the qiime package, the build time testing fails, as the
+#        Qiime plugin system is not fully available at this point of the package
+#        construction.  The test suite is only run at autopkgtest time, but this
+#        is not ideal, since the only tested python version is the default one.
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_types"
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_types"
+#endif
 
 override_dh_install:
 	dh_install
 	find debian -name ".coverage*" -delete
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -fr q2_types.egg-info/PKG-INFO q2_types.egg-info/SOURCES.txt q2_types.egg-info/dependency_links.txt q2_types.egg-info/entry_points.txt q2_types.egg-info/not-zip-safe q2_types.egg-info/top_level.txt

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-types/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-types 2021.8.0

=== debian/changelog ===
q2-types (2021.8.0-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d/salsa-ci.yml: disable i386 build test; python3-skbio missing on i386

  [ Steffen Moeller ]
  * New upstream version
  * Added SM to uploaders
  * d/u/metadata: cosmetics, added ref to conda
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * Replace libopenblas-base by libopenblas0 in Depends
    Closes: #994470

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Sep 2021 19:32:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: q2-types
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>,
+           Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +15,7 @@
                python3-ijson,
                python3-h5py,
                qiime (>= 2020.11.1)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-types
 Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
 Homepage: https://qiime2.org/
@@ -32,7 +33,7 @@
          python3-biom-format,
          python3-ijson,
          python3-h5py,
-         libopenblas-base,
+         libopenblas0,
          qiime (>= 2020.11.1)
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

## q2-types 2022.2.0

=== debian/changelog ===
q2-types (2022.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Jun 2022 19:01:46 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-skbio,
                python3-ijson,
                python3-h5py,
-               qiime (>= 2020.11.1)
-Standards-Version: 4.6.0
+               qiime
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-types
 Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
 Homepage: https://qiime2.org/
@@ -34,7 +34,7 @@
          python3-ijson,
          python3-h5py,
          libopenblas0,
-         qiime (>= 2020.11.1)
+         qiime
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-types 2022.8.0

=== debian/changelog ===
q2-types (2022.8.0-2) unstable; urgency=medium

  * Team upload.
  * Versioned dep on qiime

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 20:03:56 +0530

q2-types (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0 (Closes: #1017514)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 19:54:52 +0530

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
          python3-ijson,
          python3-h5py,
          libopenblas0,
-         qiime
+         qiime (>= 2022.8.0)
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-types 2022.11.1

=== debian/changelog ===
q2-types (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:32:56 +0100

q2-types (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-skbio,
                python3-ijson,
                python3-h5py,
-               qiime
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-types
 Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
 Homepage: https://qiime2.org/
@@ -34,7 +34,7 @@
          python3-ijson,
          python3-h5py,
          libopenblas0,
-         qiime (>= 2022.8.0)
+         qiime (>= 2022.11.1)
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-types/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-types 2023.7.0

=== debian/changelog ===
q2-types (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * d/copyright: update years and packagers.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 15:38:25 +0200

## q2-types 2024.5.0

=== debian/changelog ===
q2-types (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:38:45 +0200

q2-types (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:52 +0200

q2-types (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/pandas-2.0.patch: remove, applied upstream
  * d/patches/configparser.patch: copy from qiime packaging
  * Only build/test for Python 3.11
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:21:26 +0200

q2-types (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * Test-Depends: python3-all
  * Regenerate debian/control from debian/control.in (routine-update)
  * Fix more instance of iteritems to work with Pandas 2.0

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:53:29 +0100

q2-types (2023.9.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Pandas 2.0 (Thanks to s3v)
    Closes: #1053944

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 12:26:57 +0100

q2-types (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 07:15:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-types
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
@@ -6,15 +7,15 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest-cov,
                python3-biom-format,
                python3-skbio,
                python3-ijson,
                python3-h5py,
-               qiime (>= 2022.11.1)
+               qiime (>= 2024.5)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-types
 Vcs-Git: https://salsa.debian.org/med-team/q2-types.git
@@ -34,7 +35,7 @@
          python3-ijson,
          python3-h5py,
          libopenblas0,
-         qiime (>= 2022.11.1)
+         qiime (>= 2024.5)
 Description: QIIME 2 plugin defining types for microbiome analysis
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -11,7 +15,11 @@
 	{build_dir}/.coverage* {build_dir}/easy-install.pth
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+debian/control: debian/control.in debian/changelog
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 # FIXME: similarly to the qiime package, the build time testing fails, as the
 #        Qiime plugin system is not fully available at this point of the package
